<?php require_once('Connections/conn_newland.php'); ?>
<?php
//Niewielki skrypt wygenerowany przez program Dreamweaver, pomocny przy zapytaniach dynamicznych
if (!function_exists("GetSQLValueString")) {
function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  $theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;

  $theValue = function_exists("mysql_real_escape_string") ? mysql_real_escape_string($theValue) : mysql_escape_string($theValue);

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? "'" . doubleval($theValue) . "'" : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}
}

$colname_rs_tourprices_filtered = "-1";
if (isset($_POST['tourName'])) {
  $colname_rs_tourprices_filtered = $_POST['tourName'];
}
//Wysyła do bazy danych zapytanie o nazwę wycieczki oraz cenę dla osoby dorosłej i dla dziecka; dane są fitrowane tak, aby pobrany został tylko rekord odpowiadający temu, co użytkownik wpisał do formularza.
mysql_select_db($database_conn_newland, $conn_newland);
$query_rs_tourprices_filtered = sprintf("SELECT tourID, tourName, basePriceAdult, basePriceChild FROM tbl_tours WHERE tourID = %s", GetSQLValueString($colname_rs_tourprices_filtered, "int"));
$rs_tourprices_filtered = mysql_query($query_rs_tourprices_filtered, $conn_newland) or die(mysql_error());
$row_rs_tourprices_filtered = mysql_fetch_assoc($rs_tourprices_filtered);
$totalRows_rs_tourprices_filtered = mysql_num_rows($rs_tourprices_filtered);

if (!(is_numeric($_POST['numAdults'])) or !(is_numeric($_POST['numChildren'])))
{
  header("Location: tourprice.php?error=notnumeric");
  exit;
}

?>

<?php
//Zebranie danych na temat ilości osób dorosłych i dzieci oraz odpowiadających im cen i wykonanie mnożenia w celu obliczenia całej kwoty.
$numAdult = $_POST['numAdults'];
$numChild = $_POST['numChildren'];
$basePriceAdult = $row_rs_tourprices_filtered['basePriceAdult'];
$basePriceChild = $row_rs_tourprices_filtered['basePriceChild'];
$tourPrice = ($numAdult * $basePriceAdult) + ($numChild * $basePriceChild);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Newland Tours: Kalkulator cen wycieczek</title>
<link href="css/main.css" rel="stylesheet" type="text/css" />
</head>

<body class="oneColFixCtrHdr">
<a href="#top"><img src="images/spacer.gif" alt="Przejdź do głównej treści strony" border="0" /></a>
<div id="container">
  <div id="header">
    <img src="images/banner_left.gif" width="451" height="68" alt="Banner Newland Tours, strona lewa." /><img src="images/banner_right.jpg" width="276" height="68" id="bannerRight" alt="Banner Newland Tours, strona prawa" />
  <!-- end #header --></div>
  <div id="navigation">
  	<ul>
        <li><a href="index.php">Główna</a></li>
        <li><span class=""><span class=""><a href="about.cfm">O firmie</a></span></span></li>
<li><a href="tours.php">Znajdź wyjazd</a></li>
        <li><a href="profiles.php">Opisy krajów</a></li>
        <li><a href="contact.php">Kontakt z nami</a></li>
    </ul>
    </div>
  <div id="mainContent">
    <h1><a name="top" id="top"></a>Kalkulator cen wycieczek</h1>
    <p>Szacunkowy koszt wycieczki  <strong><?php echo $row_rs_tourprices_filtered['tourName']; ?></strong> wynosi <strong><?php echo number_format($tourPrice, 2, ',', ' ').' zł'; ?></strong>.</p>
    <p> Cena obejmuje hotel,  zakwaterowanie oraz koszty podróży w czasie samej wycieczki. Cena nie zawiera  kosztu dojazdu do miejsca zbiórki.</p>
    <p> <a href="tourprice.php">Oblicz</a> koszt innej wycieczkię.</p>
    <p><a href="contact.php">Skontaktuj się</a> z jednym z  naszych wykwalifikowanych agentów.</p>
    <p><br clear="all" />
      </p>
  <!-- end #mainContent --></div>
  <div id="footer">
    <p>&copy; 2007 Newland Tours</p>
  <!-- end #footer --></div>
<!-- end #container --></div>

</body>
</html>
<?php
mysql_free_result($rs_tourprices_filtered);
?>
